<template>
  <el-dialog v-model="shenHeDialog" title="审核信息">
    <el-descriptions title="基本信息" border style="width: 100%">
      <el-descriptions-item label="申请时间">{{ props.data.reqOpName }}</el-descriptions-item>
      <el-descriptions-item label="申请时间">{{ props.data.reqOpDate }}</el-descriptions-item>
      <el-descriptions-item label="申请备注">{{ props.data.reqRemark }}</el-descriptions-item>
      <el-descriptions-item label="审核人">{{ props.data.auditName }}</el-descriptions-item>
      <el-descriptions-item label="审核时间">{{ props.data.auditDate }}</el-descriptions-item>
      <el-descriptions-item label="审核备注">{{ props.data.auditRemark }}</el-descriptions-item>
      <el-descriptions-item label="审核状态">{{ shenHeZhuangTai(props.data.auditFlag) }}</el-descriptions-item>
    </el-descriptions>
  </el-dialog>
</template>

<script>
import {ref, watch} from "vue";

export default {
  name: "ShenHeXinXi",
  props: {
    data: {},
  },
  setup(props, ctx) {
    const shenHeDialog = ref(false)
    const shenHeDialogOpen = (val) => {
      shenHeDialog.value = val
    }

    return {
      shenHeDialog,
      shenHeDialogOpen,
      props,
      shenHeZhuangTai
    }
  }
}

function shenHeZhuangTai(val) {
  switch (val) {
    case 0:
      return '待审核'
    case 1:
      return '审核通过'
    case 2:
      return '驳回'
    case 3:
      return '正在审核'
  }
}
</script>

<style scoped>

</style>
